{
  "favorites": [
    {
      "stack": {
        "type": "item",
        "id": "minecraft:powered_rail",
        "amount": 5
      }
    },
    {
      "stack": "item:minecraft:netherite_upgrade_smithing_template"
    },
    {
      "stack": "item:minecraft:rail"
    },
    {
      "stack": "item:minecraft:activator_rail"
    },
    {
      "stack": "item:minecraft:detector_rail"
    },
    {
      "stack": "item:minecraft:piston"
    },
    {
      "stack": "item:minecraft:sticky_piston"
    },
    {
      "stack": "item:minecraft:calibrated_sculk_sensor"
    },
    {
      "stack": "item:minecraft:end_crystal"
    },
    {
      "stack": "item:minecraft:beacon"
    },
    {
      "stack": "item:minecraft:crafter"
    },
    {
      "stack": "item:minecraft:dispenser"
    },
    {
      "stack": "item:minecraft:dropper"
    },
    {
      "stack": "item:minecraft:observer"
    },
    {
      "stack": "item:minecraft:daylight_detector"
    },
    {
      "stack": "item:minecraft:repeater"
    },
    {
      "stack": "item:minecraft:comparator"
    },
    {
      "stack": "item:minecraft:redstone_block"
    },
    {
      "stack": "item:minecraft:target"
    },
    {
      "stack": "item:minecraft:lever"
    },
    {
      "stack": "item:minecraft:tripwire_hook"
    },
    {
      "stack": "item:minecraft:string"
    },
    {
      "stack": "item:minecraft:minecart"
    },
    {
      "stack": "item:minecraft:trapped_chest"
    },
    {
      "stack": "item:minecraft:hopper"
    },
    {
      "stack": {
        "type": "item",
        "id": "minecraft:firework_rocket",
        "amount": 18
      }
    },
    {
      "stack": "item:minecraft:candle",
      "recipe": "minecraft:candle"
    },
    {
      "stack": {
        "type": "item",
        "id": "minecraft:tuff_bricks",
        "amount": 42
      }
    }
  ],
  "lookup_history": [
    "item:minecraft:leather",
    {
      "type": "item",
      "id": "minecraft:rabbit_hide",
      "amount": 3
    },
    {
      "type": "item",
      "id": "minecraft:mangrove_planks",
      "amount": 4
    },
    {
      "type": "item",
      "id": "minecraft:smooth_stone_slab",
      "amount": 6
    },
    "item:minecraft:smooth_stone",
    {
      "type": "item",
      "id": "minecraft:mangrove_roots",
      "amount": 14
    },
    "item:minecraft:muddy_mangrove_roots",
    {
      "type": "item",
      "id": "minecraft:decorated_pot",
      "amount": 2
    },
    {
      "type": "item",
      "id": "minecraft:breeze_rod",
      "amount": 12
    },
    {
      "type": "item",
      "id": "minecraft:poppy",
      "amount": 24
    },
    "item:minecraft:gunpowder",
    {
      "type": "item",
      "id": "minecraft:firework_rocket",
      "amount": 51
    },
    {
      "type": "item",
      "id": "minecraft:candle",
      "amount": 64
    },
    {
      "type": "item",
      "id": "minecraft:string",
      "amount": 64
    },
    {
      "type": "item",
      "id": "minecraft:plenty_pottery_sherd",
      "amount": 2
    },
    "item:minecraft:bolt_armor_trim_smithing_template",
    {
      "type": "item",
      "id": "minecraft:eye_armor_trim_smithing_template",
      "amount": 5
    },
    "item:minecraft:snout_armor_trim_smithing_template",
    {
      "type": "item",
      "id": "minecraft:glistering_melon_slice",
      "amount": 11
    },
    {
      "type": "item",
      "id": "minecraft:redstone_torch",
      "amount": 15
    },
    "item:minecraft:activator_rail",
    {
      "type": "item",
      "id": "minecraft:nether_gold_ore",
      "amount": 7
    },
    {
      "type": "item",
      "id": "minecraft:gilded_blackstone",
      "amount": 30
    },
    "item:minecraft:barrel",
    {
      "type": "item",
      "id": "minecraft:bamboo",
      "amount": 64
    },
    "item:minecraft:warped_wart_block",
    "item:minecraft:nether_wart_block",
    {
      "type": "item",
      "id": "minecraft:nether_wart",
      "amount": 64
    },
    "item:minecraft:mangrove_button",
    "item:minecraft:coal_block",
    "item:minecraft:deepslate_tile_wall",
    "item:minecraft:glow_item_frame",
    "item:minecraft:painting{\"minecraft:entity_data\":{id:\"minecraft:painting\",variant:\"minecraft:creebet\"}}",
    "item:minecraft:item_frame",
    "item:minecraft:bell",
    "item:minecraft:beacon",
    "item:minecraft:end_crystal",
    "item:minecraft:calibrated_sculk_sensor",
    "item:minecraft:piglin_head",
    "item:minecraft:wolf_armor",
    "item:minecraft:mace",
    "item:minecraft:heavy_core",
    "item:minecraft:compass",
    "item:minecraft:echo_shard",
    "item:minecraft:disc_fragment_5",
    "item:minecraft:sentry_armor_trim_smithing_template",
    "item:minecraft:piston",
    "item:minecraft:sticky_piston",
    {
      "type": "item",
      "id": "minecraft:powered_rail",
      "amount": 5
    },
    {
      "type": "item",
      "id": "minecraft:iron_block",
      "amount": 4
    },
    {
      "type": "item",
      "id": "minecraft:iron_ingot",
      "amount": 9
    },
    {
      "type": "item",
      "id": "minecraft:gold_ingot",
      "amount": 4
    },
    "item:minecraft:netherite_upgrade_smithing_template",
    {
      "type": "item",
      "id": "minecraft:chorus_flower",
      "amount": 14
    },
    {
      "type": "item",
      "id": "minecraft:netherite_scrap",
      "amount": 4
    },
    "item:minecraft:shulker_box",
    "item:minecraft:magenta_dye",
    "item:minecraft:cod",
    "item:minecraft:popped_chorus_fruit",
    {
      "type": "item",
      "id": "minecraft:chorus_fruit",
      "amount": 64
    },
    {
      "type": "item",
      "id": "minecraft:end_stone_bricks",
      "amount": 4
    },
    "item:minecraft:end_stone",
    "item:minecraft:purple_dye",
    "item:minecraft:cyan_dye",
    {
      "type": "item",
      "id": "minecraft:lime_dye",
      "amount": 2
    },
    "item:minecraft:brown_dye",
    "item:minecraft:purpur_block",
    "item:minecraft:purpur_slab",
    "item:minecraft:purpur_pillar",
    {
      "type": "item",
      "id": "minecraft:shulker_shell",
      "amount": 4
    },
    "item:minecraft:writable_book",
    "item:minecraft:green_shulker_box{\"minecraft:container\":[{item:{count:64,id:\"minecraft:dirt\"},slot:0},{item:{count:64,id:\"minecraft:dirt\"},slot:1},{item:{count:64,id:\"minecraft:dirt\"},slot:2},{item:{count:64,id:\"minecraft:dirt\"},slot:3},{item:{count:2,id:\"minecraft:acacia_sapling\"},slot:4},{item:{count:4,id:\"minecraft:dark_oak_sapling\"},slot:5},{item:{count:4,id:\"minecraft:birch_sapling\"},slot:6},{item:{count:32,id:\"minecraft:spruce_sapling\"},slot:7},{item:{count:4,id:\"minecraft:jungle_sapling\"},slot:8},{item:{count:4,id:\"minecraft:cherry_sapling\"},slot:9},{item:{count:64,id:\"minecraft:spruce_log\"},slot:10},{item:{count:64,id:\"minecraft:spruce_log\"},slot:11},{item:{count:48,id:\"minecraft:spruce_log\"},slot:12}]}",
    "item:minecraft:elytra",
    "item:minecraft:grindstone",
    "item:minecraft:orange_dye",
    "item:minecraft:light_blue_dye",
    {
      "type": "item",
      "id": "minecraft:smoker",
      "amount": 2
    },
    "item:minecraft:potion{\"minecraft:potion_contents\":{potion:\"minecraft:water_breathing\"}}",
    "item:minecraft:potion{\"minecraft:potion_contents\":{potion:\"minecraft:long_water_breathing\"}}",
    "item:minecraft:glowstone",
    "item:minecraft:blaze_rod",
    "item:minecraft:blaze_powder",
    {
      "type": "item",
      "id": "minecraft:magma_cream",
      "amount": 10
    },
    {
      "type": "item",
      "id": "minecraft:stone",
      "amount": 64
    },
    "item:minecraft:netherite_ingot",
    {
      "type": "item",
      "id": "minecraft:ancient_debris",
      "amount": 2
    },
    {
      "type": "item",
      "id": "minecraft:observer",
      "amount": 2
    },
    "item:minecraft:stonecutter",
    {
      "type": "item",
      "id": "minecraft:cactus",
      "amount": 41
    },
    "#item:minecraft:oak_logs",
    "item:minecraft:oak_planks",
    "#item:minecraft:planks",
    "item:minecraft:crafting_table",
    "item:minecraft:furnace",
    {
      "type": "item",
      "id": "minecraft:coal",
      "amount": 38
    },
    {
      "type": "item",
      "id": "minecraft:rail",
      "amount": 64
    },
    "item:minecraft:stone_slab",
    {
      "type": "item",
      "id": "minecraft:spruce_planks",
      "amount": 2
    },
    {
      "type": "item",
      "id": "minecraft:raw_iron_block",
      "amount": 2
    },
    "item:minecraft:chiseled_bookshelf",
    "item:minecraft:bookshelf",
    "item:minecraft:detector_rail",
    "item:minecraft:tnt",
    "item:minecraft:smithing_table",
    {
      "type": "item",
      "id": "minecraft:lead",
      "amount": 3
    },
    {
      "type": "item",
      "id": "minecraft:pitcher_plant",
      "amount": 2
    },
    "item:minecraft:pitcher_pod",
    {
      "type": "item",
      "id": "minecraft:deepslate_brick_slab",
      "amount": 64
    },
    "item:minecraft:waxed_copper_block",
    "item:minecraft:cartography_table",
    "item:minecraft:dark_oak_hanging_sign",
    "item:minecraft:chain",
    "item:minecraft:iron_nugget",
    "item:minecraft:stripped_dark_oak_log",
    "#item:minecraft:soul_fire_base_blocks",
    "item:minecraft:soul_campfire",
    "item:minecraft:brewing_stand",
    "item:minecraft:enchanting_table",
    "item:minecraft:glass_pane",
    "item:minecraft:acacia_door",
    "item:minecraft:iron_door",
    "item:minecraft:polished_diorite_stairs"
  ],
  "craft_history": [
    "minecraft:torch",
    "minecraft:chest",
    "minecraft:mangrove_planks",
    "minecraft:cobblestone_stairs",
    "minecraft:stick",
    "minecraft:melon_seeds",
    "minecraft:mangrove_boat",
    "minecraft:crafting_table",
    "minecraft:smoker",
    "minecraft:furnace",
    "minecraft:stone_shovel",
    "minecraft:stone_sword",
    "minecraft:stone_axe",
    "minecraft:stone_pickaxe",
    "minecraft:mangrove_door",
    "minecraft:stone_hoe",
    "minecraft:mangrove_trapdoor",
    "minecraft:wooden_pickaxe",
    "minecraft:wooden_axe",
    "minecraft:wind_charge",
    "minecraft:emerald_block",
    "emi:/crafting/shulker_box_dying/minecraft/yellow_dye",
    "minecraft:slime_block",
    "minecraft:bone_block",
    "minecraft:bone_meal",
    "minecraft:iron_block",
    "minecraft:iron_ingot_from_nuggets",
    "minecraft:gold_block",
    "minecraft:gold_ingot_from_gold_block",
    "minecraft:firework_rocket",
    "minecraft:firework_rocket_simple",
    "minecraft:anvil",
    "minecraft:iron_ingot_from_iron_block",
    "minecraft:ender_chest",
    "minecraft:emerald",
    "minecraft:lapis_lazuli",
    "minecraft:book",
    "minecraft:paper",
    "minecraft:gold_ingot_from_nuggets",
    "minecraft:ladder",
    "minecraft:stone_pressure_plate",
    "minecraft:orange_dye_from_red_yellow",
    "minecraft:dark_oak_sign",
    "minecraft:dark_oak_planks",
    "minecraft:bamboo_sign",
    "minecraft:composter",
    "minecraft:bamboo_slab",
    "minecraft:dispenser",
    "minecraft:bow",
    "minecraft:muddy_mangrove_roots",
    "minecraft:candle",
    "minecraft:copper_block",
    "minecraft:honey_block",
    "minecraft:minecart",
    "minecraft:redstone_torch",
    "minecraft:bamboo_planks",
    "minecraft:activator_rail",
    "minecraft:white_wool_from_string",
    "minecraft:sticky_piston",
    "minecraft:diamond_shovel",
    "minecraft:spruce_planks",
    "minecraft:barrel",
    "minecraft:shears",
    "minecraft:black_dye",
    "minecraft:hopper",
    "minecraft:diamond_block",
    "minecraft:snow_block",
    "minecraft:arrow",
    "minecraft:diamond",
    "minecraft:piston",
    "minecraft:redstone",
    "minecraft:bamboo_block",
    "emi:/crafting/shulker_box_dying/minecraft/pink_dye",
    "minecraft:end_rod",
    "minecraft:netherite_upgrade_smithing_template",
    "minecraft:netherite_ingot",
    "minecraft:diamond_pickaxe",
    "minecraft:iron_pickaxe",
    "minecraft:golden_leggings",
    "minecraft:coal",
    "emi:/crafting/shulker_box_dying/minecraft/black_dye",
    "minecraft:purple_dye",
    "minecraft:pink_dye_from_red_white_dye",
    "emi:/crafting/shulker_box_dying/minecraft/magenta_dye",
    "minecraft:magenta_dye_from_purple_and_pink",
    "minecraft:shulker_box",
    "minecraft:white_dye",
    "minecraft:bamboo_trapdoor",
    "minecraft:bamboo_raft",
    "minecraft:end_stone_brick_stairs",
    "minecraft:end_stone_bricks",
    "minecraft:spruce_trapdoor",
    "emi:/crafting/shulker_box_dying/minecraft/cyan_dye",
    "minecraft:cyan_dye",
    "emi:/crafting/shulker_box_dying/minecraft/lime_dye",
    "minecraft:lime_dye",
    "minecraft:coal_block",
    "minecraft:scaffolding",
    "emi:/crafting/shulker_box_dying/minecraft/brown_dye",
    "minecraft:brown_dye",
    "emi:/crafting/shulker_box_dying/minecraft/blue_dye",
    "emi:/crafting/shulker_box_dying/minecraft/gray_dye",
    "emi:/crafting/shulker_box_dying/minecraft/light_gray_dye",
    "minecraft:gray_dye",
    "minecraft:light_gray_dye_from_black_white_dye",
    "emi:/crafting/shulker_box_dying/minecraft/purple_dye",
    "minecraft:blue_dye",
    "emi:/crafting/shulker_box_dying/minecraft/red_dye",
    "minecraft:red_dye_from_rose_bush",
    "emi:/crafting/shulker_box_dying/minecraft/white_dye",
    "minecraft:writable_book",
    "emi:/crafting/shulker_box_dying/minecraft/green_dye",
    "minecraft:grindstone",
    "minecraft:light_blue_dye_from_blue_white_dye",
    "minecraft:white_carpet",
    "minecraft:birch_pressure_plate",
    "minecraft:birch_planks",
    "minecraft:diamond_helmet",
    "minecraft:diamond_boots",
    "minecraft:diamond_sword",
    "minecraft:glass_bottle",
    "minecraft:respawn_anchor",
    "minecraft:ender_eye",
    "minecraft:golden_chestplate",
    "minecraft:orange_dye_from_torchflower",
    "minecraft:spruce_sign",
    "minecraft:bucket",
    "minecraft:iron_boots",
    "minecraft:iron_leggings",
    "minecraft:iron_chestplate",
    "minecraft:iron_helmet",
    "minecraft:iron_sword",
    "minecraft:cobblestone_slab",
    "minecraft:stone_bricks",
    "minecraft:white_bed",
    "minecraft:hopper_minecart",
    "minecraft:spruce_fence",
    "minecraft:rail",
    "minecraft:observer",
    "minecraft:stonecutter",
    "minecraft:spruce_fence_gate",
    "minecraft:glass_pane",
    "minecraft:blue_ice",
    "minecraft:packed_ice",
    "minecraft:blaze_powder",
    "minecraft:turtle_helmet",
    "minecraft:loom",
    "minecraft:stone_button",
    "minecraft:jungle_planks",
    "minecraft:lever",
    "minecraft:powered_rail",
    "minecraft:tnt",
    "minecraft:magma_cream",
    "minecraft:lapis_block",
    "minecraft:bookshelf",
    "minecraft:enchanting_table",
    "minecraft:raw_iron",
    "minecraft:redstone_block",
    "minecraft:spruce_slab",
    "minecraft:chiseled_bookshelf",
    "minecraft:diamond_leggings",
    "minecraft:birch_button",
    "minecraft:jungle_trapdoor",
    "minecraft:oak_planks",
    "minecraft:smithing_table",
    "minecraft:dark_oak_fence",
    "minecraft:dark_oak_fence_gate",
    "minecraft:acacia_planks",
    "minecraft:lead",
    "minecraft:oak_trapdoor",
    "minecraft:deepslate_brick_slab",
    "minecraft:dark_oak_boat",
    "minecraft:shield_decoration",
    "minecraft:jukebox",
    "minecraft:map_extending",
    "minecraft:compass",
    "minecraft:cartography_table",
    "minecraft:iron_nugget",
    "minecraft:dark_oak_hanging_sign",
    "minecraft:chain"
  ],
  "recipe_defaults": {
    "added": [
      "minecraft:soul_torch"
    ],
    "tags": {},
    "resolutions": {},
    "disabled": []
  },
  "hidden_stacks": []
}